<template>
  <div class="goods-bottom">
    <cr-button plain type="primary" shape="circle" :disabled="disabled">自己做团长</cr-button>
    <cr-button shape="circle" :disabled="disabled" type="primary" block @click="buy">
      立即参团
    </cr-button>
  </div>
</template>
<script>
export default {
  name: 'BottomNav',
  props: {
    type: {
      type: String,
      default: 'shopCar' // shoppingCar 购物车；settlement 结算;submitOrder 确认订单
    },
    shopBtnName: {
      type: String,
      default: '立即购买' // shoppingCar 购物车；settlement 结算;submitOrder 确认订单
    },
    info: {
      type: Object,
      default() {
        return {};
      }
    },
    disabled: {
      type: Boolean,
      default: false
    },
    goodsId: {
      type: String,
      default: ''
    }
  },
  methods: {
    buy() {
      this.$emit('buy');
    },
    goHome() {
      setTimeout(() => {
        this.$router.push({ name: 'home' });
      }, 500);
    }
  }
};
</script>
<style lang="less" scoped>
.goods-bottom {
  position: fixed;
  left: 0;
  bottom: 0;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  width: 100%;
  background: @white;
  border-top: 2px solid #f7f7f7;
  padding: 10px 12px;
  box-sizing: border-box;
  z-index: 2;
  button {
    width: 50%;
    margin: 0 10px;
  }
}
</style>
